Index: main/waeup.kofa/trunk/src/waeup/kofa/students/reports/level_report.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/reports/level_report.py	(revision 14609)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/reports/level_report.py	(revision 14610)
@@ -132,4 +132,8 @@
     def title(self):
         return translate(_('Level Report'))
+
+    @property
+    def right_footer(self):
+        return self.title + ' - %s -' % self.session
 
     def _excluded(self, level_obj):
@@ -269,5 +273,4 @@
         pdf_data += [
             Table(table_data, style=TABLE_STYLE, colWidths=col_widths)]
-        doc_title = self.title
 
         pdf_data.append(Spacer(1, 40))
@@ -278,7 +281,6 @@
 
         pdf = creator.create_pdf(
-            pdf_data, None, doc_title, self.author,
-            doc_title + ' - %s -' % self.session,
-            note = self.note
+            pdf_data, None, self.title, self.author,
+            self.right_footer, note = self.note
             )
         return pdf
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/reports/raw_score_report.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/reports/raw_score_report.py	(revision 14609)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/reports/raw_score_report.py	(revision 14610)
@@ -113,8 +113,14 @@
     depcode = None
     certcode = None
-    title = translate(_('Raw Score Report'))
-
     note = ""
     signatures = None
+
+    @property
+    def title(self):
+        return translate(_('Raw Score Report'))
+
+    @property
+    def right_footer(self):
+        return self.title + ' - %s -' % self.session
 
     def _excluded(self, level_obj):
@@ -260,5 +266,4 @@
                       style=TABLE_STYLE,
                       colWidths=col_widths)]
-        doc_title = self.title
         pdf_data.append(Spacer(1, 20))
         if self.signatures:
@@ -268,7 +273,6 @@
 
         pdf = creator.create_pdf(
-            pdf_data, None, doc_title, self.author,
-            doc_title + ' - %s -' % self.session,
-            note=self.note
+            pdf_data, None, self.title, self.author,
+            self.right_footer, note=self.note
             )
         return pdf
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/reports/session_results_presentation.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/reports/session_results_presentation.py	(revision 14609)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/reports/session_results_presentation.py	(revision 14610)
@@ -73,5 +73,12 @@
     signatures = None
     introduction = ''
-    title = translate(_('Presentation of Session Results'))
+
+    @property
+    def title(self):
+        return translate(_('Presentation of Session Results'))
+
+    @property
+    def right_footer(self):
+        return self.title + ' - %s -' % self.session
 
     note = None
@@ -243,5 +250,4 @@
         pdf_data += [Table(table_data, style=SUMMARY_STYLE, hAlign='LEFT')]
 
-        doc_title = self.title
         pdf_data.append(Spacer(1, 40))
         if self.signatures:
@@ -250,7 +256,6 @@
 
         pdf = creator.create_pdf(
-            pdf_data, None, doc_title, self.author,
-            doc_title + ' - %s -' % self.session,
-            note = self.note
+            pdf_data, None, self.title, self.author,
+            self.right_footer, note = self.note
             )
         return pdf
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/reports/student_payment_statistics.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/reports/student_payment_statistics.py	(revision 14609)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/reports/student_payment_statistics.py	(revision 14610)
@@ -196,4 +196,8 @@
     title = translate(_('Student Payment Statistics'))
 
+    @property
+    def title(self):
+        return translate(_('Student Payment Statistics'))
+
     def __init__(self, session, mode, level, entry_session, p_session,
                  breakdown, author='System'):
@@ -261,10 +265,9 @@
         pdf_data += [
             Table(table_data, style=TABLE_STYLE, colWidths=col_widths)]
-        doc_title = self.title
         right_footer = translate(
             _('${a} Student Payments - ${b} -',
             mapping = {'a':self.mode, 'b':self.session}))
         pdf = creator.create_pdf(
-            pdf_data, None, doc_title, self.author, right_footer
+            pdf_data, None, self.title, self.author, right_footer
             )
         return pdf
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/reports/student_statistics.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/reports/student_statistics.py	(revision 14609)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/reports/student_statistics.py	(revision 14610)
@@ -146,4 +146,8 @@
     title = translate(_('Student Statistics'))
 
+    @property
+    def title(self):
+        return translate(_('Student Statistics'))
+
     def __init__(self, session, mode, level, breakdown, author='System'):
         super(StudentStatisticsReport, self).__init__(
@@ -187,10 +191,9 @@
         pdf_data += [
             Table(table_data, style=TABLE_STYLE, colWidths=col_widths)]
-        doc_title = self.title
         right_footer = translate(
             _('${a} Students - ${b} -',
             mapping = {'a':self.mode, 'b':self.session}))
         pdf = creator.create_pdf(
-            pdf_data, None, doc_title, self.author, right_footer
+            pdf_data, None, self.title, self.author, right_footer
             )
         return pdf