Index: main/waeup.aaue/trunk/src/waeup/aaue/students/browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/browser.py	(revision 14632)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/browser.py	(revision 14650)
@@ -455,4 +455,5 @@
         Title = translate(_('Title'), target_language=portal_language)
         Cred = translate(_('Cred.'), target_language=portal_language)
+        CC = translate(_('Cat.'), target_language=portal_language)
         if self.show_results:
             Score = translate(_('Score'), target_language=portal_language)
@@ -475,5 +476,6 @@
                 tableheader.append([(Code,'code', 2.0),
                                    (Title,'title', 7),
-                                   (Cred, 'credits', 1.5),
+                                   (Cred, 'credits', 1.4),
+                                   (CC, 'course_category', 1.2),
                                    (Score, 'score', 1.4),
                                    #(CA, 'ca', 1.4),
@@ -485,4 +487,5 @@
                                    (Title,'title', 7),
                                    (Cred, 'credits', 1.5),
+                                   (CC, 'course_category', 1.2),
                                    (Signature, 'dummy', 3),
                                    ])
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/browser_templates/studyleveleditpage.pt
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/browser_templates/studyleveleditpage.pt	(revision 14632)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/browser_templates/studyleveleditpage.pt	(revision 14650)
@@ -20,4 +20,5 @@
       <th i18n:translate="">CO</th>
       <th i18n:translate="">OS</th>
+      <th i18n:translate="">CC</th>
     </tr>
   </thead>
@@ -39,4 +40,5 @@
       <td tal:content="value/carry_over">CO</td>
       <td tal:content="value/outstanding">OS</td>
+      <td tal:content="value/course_category">CC</td>
     </tr>
   </tbody>
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/browser_templates/studylevelmanagepage.pt
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/browser_templates/studylevelmanagepage.pt	(revision 14632)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/browser_templates/studylevelmanagepage.pt	(revision 14650)
@@ -49,4 +49,5 @@
             <th i18n:translate="">CO</th>
             <th i18n:translate="">OS</th>
+            <th i18n:translate="">CC</th>
             <th i18n:translate="">Auto</th>
           </tr>
@@ -71,4 +72,5 @@
             <td tal:content="value/carry_over">CO</td>
             <td tal:content="value/outstanding">OS</td>
+            <td tal:content="value/course_category">CC</td>
             <td tal:content="value/automatic">AUTO</td>
           </tr>
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/browser_templates/studylevelpage.pt
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/browser_templates/studylevelpage.pt	(revision 14632)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/browser_templates/studylevelpage.pt	(revision 14650)
@@ -33,4 +33,5 @@
       <th i18n:translate="">CO</th>
       <th i18n:translate="">OS</th>
+      <th i18n:translate="">CC</th>
       <th i18n:translate="">Auto</th>
     </tr>
@@ -52,4 +53,5 @@
       <td tal:content="value/carry_over">CO</td>
       <td tal:content="value/outstanding">OS</td>
+      <td tal:content="value/course_category|nothing">CC</td>
       <td tal:content="value/automatic">AUTO</td>
     </tr>
@@ -60,4 +62,5 @@
   CO: Carry-over course<br />
   OS: Outstanding course<br />
+  CC: Course Category (C, R or E)<br />
   Mand.: Mandatory course<br />
   Auto: Automatically created course ticket
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/reports/tests/test_raw_score_report.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/reports/tests/test_raw_score_report.py	(revision 14632)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/reports/tests/test_raw_score_report.py	(revision 14650)
@@ -38,5 +38,9 @@
         rsr =  CustomRawScoreReport('fac1', 'dep1', 'CERT1', 2010, 100)
         result = rsr._get_courses('fac1', 'dep1', 'CERT1', 2010, 100)
-        self.assertEqual(result, [u'Course1'])
+        self.assertEqual(result, [self.certificate.values()[0]])
+        self.assertEqual(
+            result,
+            [self.app['faculties']['fac1']['dep1'].certificates[
+                'CERT1']['Course1_100']])
         return
 
@@ -56,4 +60,6 @@
 
     def test_create_pdf(self):
+        self.app['faculties']['fac1']['dep1'].certificates[
+                'CERT1']['Course1_100'].course_category = 'xyz'
         self.course2 = createObject('waeup.Course')
         self.course2.code = 'Course2'
@@ -126,5 +132,9 @@
         rsr =  GradRawScoreReport('fac1', 'dep1', 'CERT1', 2010, 100)
         result = rsr._get_courses('fac1', 'dep1', 'CERT1', 2010, 100)
-        self.assertEqual(result, [u'Course1'])
+        self.assertEqual(result, [self.certificate.values()[0]])
+        self.assertEqual(
+            result,
+            [self.app['faculties']['fac1']['dep1'].certificates[
+                'CERT1']['Course1_100']])
         return
 
@@ -151,4 +161,5 @@
     def test_create_pdf(self):
         self.certificate.end_level = 200
+        self.app['faculties']['fac1']['dep1'].certificates['CERT1']['Course1_100'].course_category = 'xyz'
         self.course2 = createObject('waeup.Course')
         self.course2.code = 'Course2'
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_export.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_export.py	(revision 14632)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_export.py	(revision 14650)
@@ -192,8 +192,8 @@
         self.assertEqual(
             result,
-            'automatic,ca,carry_over,code,credits,dcode,fcode,level,level_session,'
+            'automatic,ca,carry_over,code,course_category,credits,dcode,fcode,level,level_session,'
             'mandatory,outstanding,passmark,score,semester,title,student_id,certcode,'
             'display_fullname,matric_number\r\n'
-            '1,,1,CRS1,100,DEP1,FAC1,100,2012,0,0,100,,2,Course 1,A111111,CERT1,'
+            '1,,1,CRS1,,100,DEP1,FAC1,100,2012,0,0,100,,2,Course 1,A111111,CERT1,'
             '"TESTER, Anna M.",234\r\n'
             )