Index: main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/interswitch/browser.py
===================================================================
--- main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/interswitch/browser.py	(revision 14641)
+++ main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/interswitch/browser.py	(revision 14658)
@@ -37,5 +37,5 @@
 INSTITUTION_NAME = 'COE Warri'
 CURRENCY = '566'
-GATEWAY_AMT = 300.0
+GATEWAY_AMT = 250.0
 MAC = '9309B5CBF1BFB09693C6F5F578046E3FCAB0A2538C3FE4221A6E63AFD348DE888E655F9C7E9F112151A702B6B09E6A7ACC5B3BF3C701F0C1B0D8EA6C1872AE94'
 
Index: main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/interswitch/tests.py
===================================================================
--- main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/interswitch/tests.py	(revision 14641)
+++ main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/interswitch/tests.py	(revision 14658)
@@ -68,5 +68,5 @@
                            self.browser.contents)
         self.assertMatches(
-            '...<span>79500.0</span>...',
+            '...<span>79450.0</span>...',
             self.browser.contents)
         self.payment_url = self.browser.url
@@ -78,8 +78,8 @@
         self.assertEqual(self.student.current_mode, 'ug_ft')
         self.assertMatches(
-            '...<input type="hidden" name="amount" value="7950000" />...',
-            self.browser.contents)
-        self.assertMatches(
-            '...item_name="School Fee (total)" item_amt="7950000" bank_id="7" acct_num="1019684470"...',
+            '...<input type="hidden" name="amount" value="7945000" />...',
+            self.browser.contents)
+        self.assertMatches(
+            '...item_name="School Fee (total)" item_amt="7945000" bank_id="7" acct_num="1019684470"...',
             self.browser.contents)
 
Index: main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/tests/test_browser.py
===================================================================
--- main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/tests/test_browser.py	(revision 14641)
+++ main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/tests/test_browser.py	(revision 14658)
@@ -73,7 +73,7 @@
         self.assertEqual(self.student['payments'].values()[0].p_category, 'schoolfee_1')
         self.assertEqual(self.student['payments'].values()[1].p_category, 'schoolfee_2')
-        # 79200 / 2 + 300
-        self.assertEqual(self.student['payments'].values()[0].amount_auth, 39900.0)
-        self.assertEqual(self.student['payments'].values()[1].amount_auth, 39900.0)
+        # 79200 / 2 + 250
+        self.assertEqual(self.student['payments'].values()[0].amount_auth, 39850.0)
+        self.assertEqual(self.student['payments'].values()[1].amount_auth, 39850.0)
         # The  two payments belong to the same session and level.
         self.assertEqual(self.student['payments'].values()[0].p_session, 2004)
@@ -103,7 +103,7 @@
         self.assertEqual(self.student.current_level, 200)
         self.assertEqual(self.student.current_session, 2005)
-        # 63100 / 2 + 300
-        self.assertEqual(self.student['payments'].values()[2].amount_auth, 31850.0)
-        self.assertEqual(self.student['payments'].values()[3].amount_auth, 31850.0)
+        # 63100 / 2 + 250
+        self.assertEqual(self.student['payments'].values()[2].amount_auth, 31800.0)
+        self.assertEqual(self.student['payments'].values()[3].amount_auth, 31800.0)
         # The last two payments belong to the same session and level.
         self.assertEqual(self.student['payments'].values()[2].p_session, 2005)
Index: main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/tests/test_utils.py
===================================================================
--- main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/tests/test_utils.py	(revision 14641)
+++ main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/tests/test_utils.py	(revision 14658)
@@ -31,5 +31,5 @@
         self.assertEqual(payment.p_level, 100)
         self.assertEqual(payment.p_session, 2016)
-        self.assertEqual(payment.amount_auth, 79500.0)
+        self.assertEqual(payment.amount_auth, 79450.0)
         self.assertEqual(payment.p_item, u'CERT1')
         self.assertEqual(error, None)
@@ -38,5 +38,5 @@
         self.assertEqual(payment.p_level, 100)
         self.assertEqual(payment.p_session, 2016)
-        self.assertEqual(payment.amount_auth, 39900.0)
+        self.assertEqual(payment.amount_auth, 39850.0)
         self.assertEqual(payment.p_item, u'CERT1')
         self.assertEqual(error, None)
@@ -45,5 +45,5 @@
         self.assertEqual(payment.p_level, 100)
         self.assertEqual(payment.p_session, 2016)
-        self.assertEqual(payment.amount_auth, 39900.0)
+        self.assertEqual(payment.amount_auth, 39850.0)
         self.assertEqual(payment.p_item, u'CERT1')
         self.assertEqual(error, None)
@@ -55,5 +55,5 @@
         self.student.lga = 'delta_burutu'
         error, payment = utils.setPaymentDetails('schoolfee',self.student)
-        self.assertEqual(payment.amount_auth, 69500.0)
+        self.assertEqual(payment.amount_auth, 69450.0)
         error, payment = utils.setPaymentDetails('clearance',self.student)
         self.assertEqual(payment.amount_auth, 20300.0)