Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/applicants/applicant.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/applicants/applicant.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/applicants/applicant.py	(revision 14716)
@@ -22,5 +22,5 @@
 from waeup.kofa.utils.helpers import attrs_to_fields
 from kofacustom.nigeria.applicants.applicant import NigeriaApplicant
-from kofacustom.dspou.applicants.interfaces import(
+from kofacustom.dspg.applicants.interfaces import(
     ICustomApplicant, ICustomUGApplicantEdit, ICustomPGApplicantEdit, IPUTMEApplicantEdit)
 
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/applicants/batching.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/applicants/batching.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/applicants/batching.py	(revision 14716)
@@ -20,5 +20,5 @@
 from waeup.kofa.utils.batching import BatchProcessor
 from waeup.kofa.applicants.batching import ApplicantProcessor
-from kofacustom.dspou.applicants.interfaces import (
+from kofacustom.dspg.applicants.interfaces import (
     ICustomApplicant, ICustomApplicantUpdateByRegNo)
 
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/applicants/browser.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/applicants/browser.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/applicants/browser.py	(revision 14716)
@@ -25,4 +25,4 @@
     NigeriaPDFApplicationSlip)
 
-from kofacustom.dspou.interfaces import MessageFactory as _
+from kofacustom.dspg.interfaces import MessageFactory as _
 
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/applicants/export.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/applicants/export.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/applicants/export.py	(revision 14716)
@@ -24,5 +24,5 @@
 from kofacustom.nigeria.applicants.interfaces import (
     INigeriaUGApplicant, INigeriaPGApplicant)
-from kofacustom.dspou.applicants.interfaces import (
+from kofacustom.dspg.applicants.interfaces import (
     ICustomUGApplicant, ICustomPGApplicant)
 
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/applicants/interfaces.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/applicants/interfaces.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/applicants/interfaces.py	(revision 14716)
@@ -37,6 +37,6 @@
     IPUTMEApplicantEdit,
     )
-from kofacustom.dspou.interfaces import MessageFactory as _
-from kofacustom.dspou.payments.interfaces import ICustomOnlinePayment
+from kofacustom.dspg.interfaces import MessageFactory as _
+from kofacustom.dspg.payments.interfaces import ICustomOnlinePayment
 
 class ICustomUGApplicant(INigeriaUGApplicant):
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/applicants/payment.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/applicants/payment.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/applicants/payment.py	(revision 14716)
@@ -24,5 +24,5 @@
 from waeup.kofa.applicants.payment import ApplicantOnlinePayment
 from waeup.kofa.utils.helpers import attrs_to_fields
-from kofacustom.dspou.applicants.interfaces import ICustomApplicantOnlinePayment
+from kofacustom.dspg.applicants.interfaces import ICustomApplicantOnlinePayment
 
 class CustomApplicantOnlinePayment(ApplicantOnlinePayment):
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/applicants/tests/test_applicant.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/applicants/tests/test_applicant.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/applicants/tests/test_applicant.py	(revision 14716)
@@ -30,9 +30,9 @@
 from waeup.kofa.interfaces import IFileStoreHandler, IFileStoreNameChooser
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.dspou.applicants.applicant import (
+from kofacustom.dspg.applicants.applicant import (
     CustomApplicant, CustomApplicantFactory,
     )
-from kofacustom.dspou.applicants.interfaces import ICustomApplicant
-from kofacustom.dspou.testing import FunctionalLayer
+from kofacustom.dspg.applicants.interfaces import ICustomApplicant
+from kofacustom.dspg.testing import FunctionalLayer
 
 class CustomApplicantTest(FunctionalTestCase):
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/applicants/tests/test_browser.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/applicants/tests/test_browser.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/applicants/tests/test_browser.py	(revision 14716)
@@ -25,10 +25,10 @@
 from zope.intid.interfaces import IIntIds
 from hurry.workflow.interfaces import IWorkflowState
-from kofacustom.dspou.testing import FunctionalLayer
+from kofacustom.dspg.testing import FunctionalLayer
 from waeup.kofa.browser.tests.test_pdf import samples_dir
 from waeup.kofa.applicants.tests.test_browser import ApplicantsFullSetup
 from waeup.kofa.applicants.tests.test_batching import ApplicantImportExportSetup
-from kofacustom.dspou.applicants.export import CustomApplicantExporter
-from kofacustom.dspou.applicants.batching import CustomApplicantProcessor
+from kofacustom.dspg.applicants.export import CustomApplicantExporter
+from kofacustom.dspg.applicants.batching import CustomApplicantProcessor
 
 class CustomApplicantUITests(ApplicantsFullSetup):
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/applicants/utils.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/applicants/utils.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/applicants/utils.py	(revision 14716)
@@ -22,5 +22,5 @@
 from waeup.kofa.applicants.workflow import (INITIALIZED,
     STARTED, PAID, ADMITTED, NOT_ADMITTED, SUBMITTED, CREATED)
-from kofacustom.dspou.interfaces import MessageFactory as _
+from kofacustom.dspg.interfaces import MessageFactory as _
 
 
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/browser/pages.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/browser/pages.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/browser/pages.py	(revision 14716)
@@ -21,5 +21,5 @@
     LoginPage, CertificatePage, CertificateManageFormPage)
 from waeup.kofa.university.interfaces import ICertificate
-from kofacustom.dspou.interfaces import (
+from kofacustom.dspg.interfaces import (
     ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
 
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/browser/tests.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/browser/tests.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/browser/tests.py	(revision 14716)
@@ -22,5 +22,5 @@
 from zope.security.interfaces import Unauthorized
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.dspou.testing import FunctionalLayer
+from kofacustom.dspg.testing import FunctionalLayer
 from waeup.kofa.app import University
 
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/configuration.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/configuration.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/configuration.py	(revision 14716)
@@ -24,5 +24,5 @@
 from waeup.kofa.configuration import (
     SessionConfigurationFactory, SessionConfiguration)
-from kofacustom.dspou.interfaces import (
+from kofacustom.dspg.interfaces import (
     ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
 
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/configure.zcml
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/configure.zcml	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/configure.zcml	(revision 14716)
@@ -1,5 +1,5 @@
 <configure xmlns="http://namespaces.zope.org/zope"
            xmlns:grok="http://namespaces.zope.org/grok">
-  <include package="kofacustom.dspou" file="locales.zcml" />
+  <include package="kofacustom.dspg" file="locales.zcml" />
 
   <!-- kofacustom.nigeria configures everything we basically need.
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/ftesting.zcml
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/ftesting.zcml	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/ftesting.zcml	(revision 14716)
@@ -2,10 +2,10 @@
    xmlns="http://namespaces.zope.org/zope"
    xmlns:kofa="http://namespaces.waeup.org/kofa"
-   i18n_domain="kofacustom.dspou"
-   package="kofacustom.dspou"
+   i18n_domain="kofacustom.dspg"
+   package="kofacustom.dspg"
    >
 
-  <include package="kofacustom.dspou" />
-  <include package="kofacustom.dspou" file="mail.zcml"/>
+  <include package="kofacustom.dspg" />
+  <include package="kofacustom.dspg" file="mail.zcml"/>
 
   <!-- Where should the datacenter reside by default? -->
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/interfaces.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/interfaces.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/interfaces.py	(revision 14716)
@@ -23,5 +23,5 @@
     ISessionConfiguration, academic_sessions_vocab)
 
-_ = MessageFactory = zope.i18nmessageid.MessageFactory('kofacustom.dspou')
+_ = MessageFactory = zope.i18nmessageid.MessageFactory('kofacustom.dspg')
 
 class ICustomSessionConfiguration(ISessionConfiguration):
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/browser.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/interswitch/browser.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/browser.py	(revision 14716)
@@ -26,10 +26,10 @@
     InterswitchPageStudent, InterswitchPageApplicant,
     )
-from kofacustom.dspou.students.interfaces import ICustomStudentOnlinePayment
-from kofacustom.dspou.applicants.interfaces import ICustomApplicantOnlinePayment
-from kofacustom.dspou.interfaces import MessageFactory as _
+from kofacustom.dspg.students.interfaces import ICustomStudentOnlinePayment
+from kofacustom.dspg.applicants.interfaces import ICustomApplicantOnlinePayment
+from kofacustom.dspg.interfaces import MessageFactory as _
 
 PRODUCT_ID = '' # must be provided by Interswitch
-SITE_NAME = 'dspou-kofa.waeup.org'
+SITE_NAME = 'dspg-kofa.waeup.org'
 PROVIDER_ACCT = '00000000'
 PROVIDER_BANK_ID = '00'
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/tests.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/interswitch/tests.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/tests.py	(revision 14716)
@@ -24,5 +24,5 @@
 from waeup.kofa.applicants.tests.test_browser import ApplicantsFullSetup
 from waeup.kofa.configuration import SessionConfiguration
-from kofacustom.dspou.testing import FunctionalLayer
+from kofacustom.dspg.testing import FunctionalLayer
 
 # Also run tests that send requests to external servers?
@@ -183,5 +183,5 @@
         self.assertTrue(
             'zope.mgr - '
-            'kofacustom.dspou.interswitch.browser.CustomInterswitchPaymentRequestWebservicePageStudent - '
+            'kofacustom.dspg.interswitch.browser.CustomInterswitchPaymentRequestWebservicePageStudent - '
             'X1000000 - successful schoolfee payment: p3547789850240\n'
             in logcontent)
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/payments/interfaces.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/payments/interfaces.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/payments/interfaces.py	(revision 14716)
@@ -19,5 +19,5 @@
 from zope import schema
 from kofacustom.nigeria.payments.interfaces import INigeriaOnlinePayment
-from kofacustom.dspou.interfaces import MessageFactory as _
+from kofacustom.dspg.interfaces import MessageFactory as _
 
 class ICustomOnlinePayment(INigeriaOnlinePayment):
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/batching.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/students/batching.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/batching.py	(revision 14716)
@@ -24,5 +24,5 @@
 students, studycourses, payment tickets and accommodation tickets.
 """
-from kofacustom.dspou.students.interfaces import (
+from kofacustom.dspg.students.interfaces import (
     ICustomStudent, ICustomStudentUpdateByRegNo,
     ICustomStudentUpdateByMatricNo,
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/browser.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/students/browser.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/browser.py	(revision 14716)
@@ -41,7 +41,7 @@
     )
 
-from kofacustom.dspou.students.interfaces import (
+from kofacustom.dspg.students.interfaces import (
     ICustomStudentOnlinePayment, ICustomStudentStudyCourse,
     ICustomStudentStudyLevel)
-from kofacustom.dspou.interfaces import MessageFactory as _
+from kofacustom.dspg.interfaces import MessageFactory as _
 
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/export.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/students/export.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/export.py	(revision 14716)
@@ -18,5 +18,5 @@
 """Exporters for student related stuff.
 """
-from kofacustom.dspou.students.interfaces import (
+from kofacustom.dspg.students.interfaces import (
     ICustomStudent,
     ICustomStudentStudyCourse,
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/interfaces.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/students/interfaces.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/interfaces.py	(revision 14716)
@@ -25,6 +25,6 @@
     INigeriaStudentUpdateByRegNo, INigeriaStudentUpdateByMatricNo,
     )
-from kofacustom.dspou.payments.interfaces import ICustomOnlinePayment
-from kofacustom.dspou.interfaces import MessageFactory as _
+from kofacustom.dspg.payments.interfaces import ICustomOnlinePayment
+from kofacustom.dspg.interfaces import MessageFactory as _
 
 class ICustomStudentBase(INigeriaStudentBase):
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/payments.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/students/payments.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/payments.py	(revision 14716)
@@ -26,5 +26,5 @@
 from kofacustom.nigeria.students.payments import (
     NigeriaStudentOnlinePayment, NigeriaStudentOnlinePaymentFactory)
-from kofacustom.dspou.students.interfaces import ICustomStudentOnlinePayment
+from kofacustom.dspg.students.interfaces import ICustomStudentOnlinePayment
 
 class CustomStudentOnlinePayment(NigeriaStudentOnlinePayment):
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/student.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/students/student.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/student.py	(revision 14716)
@@ -26,5 +26,5 @@
 from waeup.kofa.utils.helpers import get_current_principal
 from kofacustom.nigeria.students.student import NigeriaStudent
-from kofacustom.dspou.students.interfaces import ICustomStudent
+from kofacustom.dspg.students.interfaces import ICustomStudent
 
 
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/studycourse.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/students/studycourse.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/studycourse.py	(revision 14716)
@@ -27,5 +27,5 @@
 from waeup.kofa.students.workflow import CLEARED, RETURNING, PAID
 from kofacustom.nigeria.students.studycourse import NigeriaStudentStudyCourse
-from kofacustom.dspou.students.interfaces import ICustomStudentStudyCourse
+from kofacustom.dspg.students.interfaces import ICustomStudentStudyCourse
 
 class CustomStudentStudyCourse(NigeriaStudentStudyCourse):
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/studylevel.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/students/studylevel.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/studylevel.py	(revision 14716)
@@ -28,5 +28,5 @@
     CourseTicketFactory, StudentStudyLevelFactory)
 from waeup.kofa.students.interfaces import IStudentNavigation
-from kofacustom.dspou.students.interfaces import (
+from kofacustom.dspg.students.interfaces import (
     ICustomStudentStudyLevel, ICustomCourseTicket)
 
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/tests/test_browser.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/students/tests/test_browser.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/tests/test_browser.py	(revision 14716)
@@ -34,5 +34,5 @@
     IExtFileStore, IFileStoreNameChooser)
 from waeup.kofa.students.interfaces import IStudentsUtils
-from kofacustom.dspou.testing import FunctionalLayer
+from kofacustom.dspg.testing import FunctionalLayer
 
 
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/tests/test_export.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/students/tests/test_export.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/tests/test_export.py	(revision 14716)
@@ -6,8 +6,8 @@
 from waeup.kofa.students.tests.test_batching import (
     StudentImportExportSetup, curr_year)
-from kofacustom.dspou.utils.utils import CustomKofaUtils
-from kofacustom.dspou.students.export import (
+from kofacustom.dspg.utils.utils import CustomKofaUtils
+from kofacustom.dspg.students.export import (
     CustomStudentExporter, CustomStudentPaymentExporter)
-from kofacustom.dspou.testing import FunctionalLayer
+from kofacustom.dspg.testing import FunctionalLayer
 
 
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/tests/test_student.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/students/tests/test_student.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/tests/test_student.py	(revision 14716)
@@ -22,15 +22,15 @@
 from zope.interface import verify
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.dspou.students.student import CustomStudent, CustomStudentFactory
-from kofacustom.dspou.students.studycourse import (
+from kofacustom.dspg.students.student import CustomStudent, CustomStudentFactory
+from kofacustom.dspg.students.studycourse import (
     CustomStudentStudyCourse, CustomStudentStudyCourseFactory)
-from kofacustom.dspou.students.studylevel import (
+from kofacustom.dspg.students.studylevel import (
     CustomStudentStudyLevel, CustomCourseTicket,
     CustomStudentStudyLevelFactory,
     CustomCourseTicketFactory)
-from kofacustom.dspou.students.interfaces import (
+from kofacustom.dspg.students.interfaces import (
     ICustomStudent, ICustomStudentStudyCourse,
     ICustomStudentStudyLevel, ICustomCourseTicket)
-from kofacustom.dspou.testing import FunctionalLayer
+from kofacustom.dspg.testing import FunctionalLayer
 
 
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/utils.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/students/utils.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/utils.py	(revision 14716)
@@ -21,5 +21,5 @@
     CLEARED, RETURNING, PAID, REGISTERED, VALIDATED)
 from kofacustom.nigeria.students.utils import NigeriaStudentsUtils
-from kofacustom.dspou.interfaces import MessageFactory as _
+from kofacustom.dspg.interfaces import MessageFactory as _
 
 class CustomStudentsUtils(NigeriaStudentsUtils):
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/viewlets.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/students/viewlets.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/viewlets.py	(revision 14716)
@@ -20,5 +20,5 @@
 from waeup.kofa.interfaces import REQUESTED
 from waeup.kofa.browser.viewlets import ManageActionButton
-from kofacustom.dspou.students.interfaces import (
+from kofacustom.dspg.students.interfaces import (
     ICustomStudentStudyCourse, ICustomStudentStudyLevel)
 from waeup.kofa.students.fileviewlets import (
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/testing.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/testing.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/testing.py	(revision 14716)
@@ -19,9 +19,9 @@
 """
 import os.path
-import kofacustom.dspou
+import kofacustom.dspg
 from zope.app.testing.functional import ZCMLLayer
 
 ftesting_zcml = os.path.join(
-    os.path.dirname(kofacustom.dspou.__file__), 'ftesting.zcml')
+    os.path.dirname(kofacustom.dspg.__file__), 'ftesting.zcml')
 FunctionalLayer = ZCMLLayer(ftesting_zcml, __name__, 'FunctionalLayer',
                             allow_teardown=True)
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/tests/test_configuration.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/tests/test_configuration.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/tests/test_configuration.py	(revision 14716)
@@ -25,9 +25,9 @@
 from waeup.kofa.tests.test_configuration import (
     ConfigurationTest, SessionConfigurationFactoryTest)
-from kofacustom.dspou.configuration import (
+from kofacustom.dspg.configuration import (
     CustomSessionConfiguration, CustomSessionConfigurationFactory)
-from kofacustom.dspou.interfaces import(
+from kofacustom.dspg.interfaces import(
     ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
-from kofacustom.dspou.testing import FunctionalLayer
+from kofacustom.dspg.testing import FunctionalLayer
 
 class ConfigurationTest(ConfigurationTest):
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/tests/test_datacenter.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/tests/test_datacenter.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/tests/test_datacenter.py	(revision 14716)
@@ -18,5 +18,5 @@
 from waeup.kofa.datacenter import DataCenter
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.dspou.testing import FunctionalLayer
+from kofacustom.dspg.testing import FunctionalLayer
 
 
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/tests/test_smtp.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/tests/test_smtp.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/tests/test_smtp.py	(revision 14716)
@@ -33,5 +33,5 @@
     send_mail)
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.dspou.testing import FunctionalLayer
+from kofacustom.dspg.testing import FunctionalLayer
 
 #
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/utils/tests.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspou/utils/tests.py	(revision 14715)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/utils/tests.py	(revision 14716)
@@ -17,5 +17,5 @@
 ##
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.dspou.testing import FunctionalLayer
+from kofacustom.dspg.testing import FunctionalLayer
 
 